package cn.com.qmth.examcloud.core.oe.student.client;

import cn.com.qmth.examcloud.core.oe.student.api.request.CalcExamScoreReq;
import cn.com.qmth.examcloud.core.oe.student.api.request.CalcFaceBiopsyResultReq;
import cn.com.qmth.examcloud.core.oe.student.api.response.CalcExamScoreResp;
import cn.com.qmth.examcloud.core.oe.student.api.response.CalcFaceBiopsyResultResp;
import org.springframework.stereotype.Service;

import cn.com.qmth.examcloud.core.oe.student.api.ExamRecordDataCloudService;
import cn.com.qmth.examcloud.core.oe.student.api.request.GetExamRecordDataIdsReq;
import cn.com.qmth.examcloud.core.oe.student.api.request.UpdateExamRecordDataBatchNumReq;
import cn.com.qmth.examcloud.core.oe.student.api.response.GetExamRecordDataIdsResp;
import cn.com.qmth.examcloud.core.oe.student.api.response.UpdateExamRecordDataBatchNumResp;

@Service("examRecordDataCloudService")
public class ExamRecordDataCloudServiceClient extends AbstractCloudClientSupport
		implements
		ExamRecordDataCloudService {

    /**
     * 
     */
    private static final long serialVersionUID = 3745318048361113898L;

    @Override
    public GetExamRecordDataIdsResp getExamRecordDataIds(GetExamRecordDataIdsReq req) {
        return post("examRecordData/getExamRecordDataIds", req, GetExamRecordDataIdsResp.class);
    }

    @Override
    public UpdateExamRecordDataBatchNumResp updateExamRecordDataBatchNum(UpdateExamRecordDataBatchNumReq req) {
        return post("examRecordData/updateBatchNum", req, UpdateExamRecordDataBatchNumResp.class);
    }

    /**
     * 计算活体检测结果
     *
     * @param req
     * @return
     */
    @Override
    public CalcFaceBiopsyResultResp calcFaceBiopsyResult(CalcFaceBiopsyResultReq req) {
        return post("examRecordData/calcFaceBiopsyResult", req, CalcFaceBiopsyResultResp.class);
    }

    /**
     * 计算考试分数
     *
     * @param req
     * @return
     */
    @Override
    public CalcExamScoreResp calcExamScore(CalcExamScoreReq req) {
        return post("examRecordData/calcExamScore", req, CalcExamScoreResp.class);
    }


}
