package cn.com.qmth.examcloud.core.oe.student.api.response;

import cn.com.qmth.examcloud.api.commons.exchange.BaseResponse;
import cn.com.qmth.examcloud.support.enums.IsSuccess;

/**
 * @Description 计算活体检测结果响应类
 * @Author lideyin
 * @Date 2019/12/18 19:20
 * @Version 1.0
 */
public class CalcFaceBiopsyResultResp extends BaseResponse{

    private static final long serialVersionUID = -2929571423702336127L;

    /**
     * 是否异常数据
     */
    private Boolean isWarn;

    /**
     * 是否违纪
     */
    private Boolean isIllegality;

    /**
     * 活体检测结果
     */
    private IsSuccess faceVerifyResult;

    public CalcFaceBiopsyResultResp() {
    }

    public CalcFaceBiopsyResultResp(IsSuccess faceVerifyResult) {
        this.faceVerifyResult = faceVerifyResult;
    }

    public CalcFaceBiopsyResultResp(Boolean isWarn, Boolean isIllegality, IsSuccess faceVerifyResult) {
        this.isWarn = isWarn;
        this.isIllegality = isIllegality;
        this.faceVerifyResult = faceVerifyResult;
    }

    public Boolean getWarn() {
        return isWarn;
    }

    public void setWarn(Boolean warn) {
        isWarn = warn;
    }

    public Boolean getIllegality() {
        return isIllegality;
    }

    public void setIllegality(Boolean illegality) {
        isIllegality = illegality;
    }

    public IsSuccess getFaceVerifyResult() {
        return faceVerifyResult;
    }

    public void setFaceVerifyResult(IsSuccess faceVerifyResult) {
        this.faceVerifyResult = faceVerifyResult;
    }
}
